astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Conic

# Conic

class `astropy.modeling.projections.``Conic`

  Bases: `astropy.modeling.projections.Projection`

  Base class for conic projections.

  In conic projections, the sphere is thought to be projected onto the surface of a cone which is then opened out.

  In a general sense, the pixel-to-sky transformation is defined as:

  \phi &= \arg\left(\frac{Y_0 - y}{R_\theta}, \frac{x}{R_\theta}\right) / C \\ R_\theta &= \mathrm{sign} \theta_a \sqrt{x^2 + (Y_0 - y)^2}

  and the inverse (sky-to-pixel) is defined as:

  x &= R_\theta \sin (C \phi) \\ y &= R_\theta \cos (C \phi) + Y_0

  where C is the “constant of the cone”:

  C = \frac{180^\circ \cos \theta}{\pi R_\theta}

  Attributes Summary

  `delta` |
  `param_names` |
  `sigma` |

  Attributes Documentation

  `delta`
  `param_names` = ('sigma', 'delta')
  `sigma`